
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors: James Gallagher

#ifndef _dspuint16_h
#define _dspuint16_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "UInt16.h"
extern UInt16 * NewUInt16(const string &n = (char *)0);

class DSPUInt16: public UInt16 {
public:
    DSPUInt16(const string &n = (char *)0);
    virtual ~DSPUInt16() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset);
};

// $Log: DSPUInt16.h,v $
// Revision 1.3  2000/10/09 21:24:59  jimg
// Moved CVS Log entries to the end of each file.
// Changed the definition of the read method to match the dap library.
// Added exceptions to the read methods.
// Added code to catch exceptions in dsp_das, _dds and _dods.
//
// Revision 1.2  1999/04/30 21:32:47  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.1  1999/03/26 22:56:22  jimg
// Added. These are stub classes
//

#endif

