
// (c) COPYRIGHT URI/MIT 1996
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//	reza		Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

#include "config_dsp.h"

static char rcsid[] not_used ={"$Id: DSPUrl.cc 13340 2006-03-03 16:10:13Z jimg $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include <string>
#include "DSPUrl.h"

Url *
NewUrl(const string &n)
{
    return new DSPUrl(n);
}

DSPUrl::DSPUrl(const string &n) : Url(n)
{
}

BaseType *
DSPUrl::ptr_duplicate()
{
    return new DSPUrl(*this);
}

bool
DSPUrl::read(const string &)
{
}

// $Log: DSPUrl.cc,v $
// Revision 1.5  2000/10/09 21:24:59  jimg
// Moved CVS Log entries to the end of each file.
// Changed the definition of the read method to match the dap library.
// Added exceptions to the read methods.
// Added code to catch exceptions in dsp_das, _dds and _dods.
//
// Revision 1.4  1999/04/30 21:32:47  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.3.4.1  1999/02/10 06:28:58  brent
// convert to Standard C++ strings -- b^2
//
// Revision 1.3  1998/08/06 16:32:11  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.2  1996/11/15 18:22:25  jimg
// Fixed copyright statement.
// Added include of config header
//
// Revision 1.1  1996/09/18 22:42:14  reza
//  First release of DODS-DSP servers.
